
export interface SlpTokenMap {
    [tickerSymbol: string]: SlpToken;
}

export class SlpToken {
    public readonly id: string;
    public readonly symbol: string;
    public readonly name: string;
    public readonly documentUri: string;
    public readonly icon: string;
    public readonly rate: number;
    public readonly decimals: number;
    public readonly enabled: boolean;

    constructor() {
    }

    public static restoreFromPlainObject(tokens: any): SlpTokenMap {
        let tokenMap = {}
        if (!tokens)
            return tokenMap;
        for (let ticker in tokens) // generate from plain JS objects
            tokenMap[ticker] = Object.assign(new SlpToken(), tokens[ticker]);
        return tokenMap;
    }

    // ################################################################
    // ###################### PRIVATE FUNCTIONS #######################

}
