<?php
if (!defined('ABSPATH'))
	exit("denied");
?>
<style>
.slp-preloader {
   position: absolute;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
   z-index: 9999;
   background-image: url('<?php echo esc_attr($btnConf['preloaderImage']);?>');
   background-repeat: no-repeat; 
   background-position: center;
}
</style>
<div class="slp-preloader"></div>
<p id="slp-pay-instructions" class="slp-center"><?php esc_html_e('Please scan the QR code or enter the payment address below using your wallet app to make your payment.', 'ekliptor');?></p>
<div class="slp-payment-list">
  <div id="slp-pay-qr-code" class="slp-qrcode-pay-wrap"> 
    <p class="slp-center slp-token-amount">
      <span id="slp-token-amount-remaining"><?php echo $btnConf['amountDisplay'];?></span>
      <?php if(!empty($btnConf['tokenWebsite'])):?>
      	<a href="<?php echo esc_attr($btnConf['tokenWebsite']);?>" target="_blank"><?php echo esc_html($btnConf['tickerDisplay']);?></a>
      <?php else:?>
      	<?php echo esc_html($btnConf['tickerDisplay']);?>
      <?php endif; /*tokenWebsite*/?>
      <span id="slp-remaining-txt" style="display: none"> <?php esc_html_e('remaining', 'ekliptor');?></span>
    </p>
    <?php if($btnConf['addQrCode'] === true):?> 
    	<img id="slp-qr-code-image" src="<?php echo esc_attr($btnConf['qrcode']);?>" width="110" height="110" alt="<?php esc_attr_e('Pay with QR Code', 'ekliptor');?>" title="<?php esc_attr_e('Pay with QR Code', 'ekliptor');?>">
    <?php endif;?>
	
	<div class="slp-manual-payment">
	  <?php include BCHSLP_PAYMENTS__PLUGIN_DIR . 'tpl/client/payManualAddress.php';?>
	</div>
  </div>
  <div id="slp-payment-options" class="slp-center"> 
    <a id="slp-pay-app" href="<?php echo esc_attr($btnConf['uri']);?>" class="pay-button"><?php esc_attr_e('Pay In Wallet', 'ekliptor');?></a>
    <?php if($btnConf['addBadger'] === true):?>
      <div class="slp-button">
	    <div id="slp-button-text-<?php echo $btnConf['txid'];?>" class="slp-button-text">
          <?php include BCHSLP_PAYMENTS__PLUGIN_DIR . 'tpl/client/buttonCode.php';?>
        </div>
      </div>
    <?php endif;?>
  </div>
</div>

<?php if($btnConf['useTokenPayments'] === true):?>
  <div class="slp-center">
  <?php if(!empty($btnConf['tokenWebsite'])):?>
    <p>
      <a target="_blank" href="<?php echo esc_attr($btnConf['tokenWebsite']);?>">
        <?php if(!empty($btnConf['tokenImage'])):?>
          <img class="slp-token-img" src="<?php echo esc_attr($btnConf['tokenImage']);?>" alt="<?php echo esc_attr($btnConf['tokenTickerSymbol']);?>" title="<?php echo esc_attr($btnConf['tokenTickerSymbol']);?>">
        <?php endif; /*tokenImage*/?>
        <?php printf(esc_html( 'What are %s tokens?', 'ekliptor' ), $btnConf['tokenTickerSymbol']); ?>
      </a>
    </p>
  <?php endif; /*tokenWebsite*/?>  
  <p>
    <a target="_blank" href="https://simpleledger.cash/">
      <img class="slp-token-img" src="<?php echo esc_attr($btnConf['slpIcon']);?>" alt="SLP" title="SLP">  <?php printf(esc_html( 'What are %s tokens?', 'ekliptor' ), 'SLP'); ?>
    </a>
  </p>
  </div>
<?php endif; /*useTokenPayments*/?>

<?php if(false):?>
<p class="slp-reload-info"><a href="document.location.reload();">Please reload this page to check the payment status.</a></p>
<?php endif;?>
<div id="slp-payment-status-container" class="slp-center">
  <p><b><?php esc_html_e( 'Payment status:', 'ekliptor' );?></b> <span id="slp-payment-status"><?php esc_html_e( 'Pending', 'ekliptor' );?></span></p>
  <div id="slp-payment-pending">
    <p><img id="slp-payment-pending-icon" src="<?php echo esc_attr($btnConf['loadingImage']);?>" width="128" height="128" alt="<?php esc_attr_e('pending', 'ekliptor');?>" title="<?php esc_attr_e('pending', 'ekliptor');?>" /></p>
    <p><?php esc_html_e( 'This page will automatically refresh. You may close it and your payment will still be received.', 'ekliptor'); echo $btnConf['orderTimeoutTxt'];?></p>
  </div>
</div>
