<?php
/**
 * SLP Payments Uninstall
 *
 * Uninstall and delete all stored plugin data from all users.
 */
namespace Ekliptor\Wordpress;

defined( 'WP_UNINSTALL_PLUGIN' ) || exit;

require_once (plugin_dir_path ( __FILE__ ) . 'data.php');

class SlpPaymentsUninstall {
	public function __construct() {
	}
	
	public function uninstall() {
		global $wpdb, $wp_version;
		
		// Only remove all user session + payment data if this is set to true.
		// This is to prevent data loss when deleting the plugin from the backend
		// and to ensure only the site owner can perform this action.
		if (SlpPaymentsData::REMOVE_ALL_DATA !== true)
			return;
		
		$tables = get_option('slp_tables', array());
		foreach ($tables as $table) {
			$wpdb->query( "DROP TABLE IF EXISTS $table" );
		}
		
		delete_option('slp_tables');
		// temp files dir is removed by WP when this plugin folder is removed
		// TODO delete data from woocommerce $settings object. but deleting the settings option would also reset the counter on re-install
		
		// Clear any cached data that has been removed.
		wp_cache_flush();
	}
}

$uninstall = new SlpPaymentsUninstall();
$uninstall->uninstall();
